Module ij
Package ij.plugin

# Class Clipboard

java.lang.Object
ij.plugin.Clipboard

All Implemented Interfaces:
  `PlugIn`, `Transferable`

public class Clipboard extends Object implements PlugIn, Transferable
Copies/pastes images to/from the system clipboard.

## Constructor Summary

Constructors
Constructor
Description
`Clipboard()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`copyToSystem(ImagePlus imp)`
Copies the contents of the specified image, or selection, to the system clicpboard.
`Object`
`getTransferData(DataFlavor flavor)`
`DataFlavor[]`
`getTransferDataFlavors()`
`boolean`
`isDataFlavorSupported(DataFlavor flavor)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Clipboard

public Clipboard()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### copyToSystem

public static void copyToSystem(ImagePlus imp)
Copies the contents of the specified image, or selection, to the system clicpboard.

### getTransferDataFlavors

public DataFlavor[] getTransferDataFlavors()

Specified by:
  `getTransferDataFlavors` in interface `Transferable`

### isDataFlavorSupported

public boolean isDataFlavorSupported(DataFlavor flavor)

Specified by:
  `isDataFlavorSupported` in interface `Transferable`

### getTransferData

public Object getTransferData(DataFlavor flavor) throws UnsupportedFlavorException

Specified by:
  `getTransferData` in interface `Transferable`
Throws:
  `UnsupportedFlavorException`